
/**
 * Stelt een persoon voor binnen het bedrijf. 
 * 
 * Er zijn twee soorten personen:
 * - Arbeiders: worden per uur betaald
 * - Bedienden: hebben een vast maandloon
 * 
 * Voor arbeiders moet er geregistreerd worden wanneer ze
 * een aantal uren hebben gewerkt.
 */
public class Persoon {
    
    private String naam;
    
    public String getNaam () {
        return naam;
    }
    
    private int loon; // in €
    
    private boolean isArbeider;
    private int urenGewerkt; // enkel gebruikt bij arbeiders
    
    /**
     * Maak een nieuwe persoon aan
     * @param isArbeider true als het om een arbeider gaat
     * @param loon uurloon bij een arbeider, maandloon bij een bediende
     */
    public Persoon (String naam, int loon, boolean isArbeider) {
        this.naam = naam;
        this.loon = loon;
        this.isArbeider = isArbeider;
        this.urenGewerkt = 0;
    }
    
    /**
     * Wat is het totale loon dat deze persoon 
     * deze maand heeft verdiend?
     */
    public int getBerekendLoon () {
        if (isArbeider) {
            return loon * urenGewerkt;
        } else {
            return loon;
        }
    }    
    
    /**
     * Geef aan dat de persoon een aantal 
     * uren heeft gewerkt. Mag meerdere keren worden opgeroepen
     * en dan worden de gepresteerde uren opgeteld.
     * 
     * Heeft enkel nut bij arbeiders.
     */
    public void registreerUren (int uren) {
        urenGewerkt = urenGewerkt + uren;
    }

}
